package org.jeecg.api.controller;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.api.service.ApiRiceService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="三只青蛙-会员")
@RestController
@RequestMapping("/rice_vip")
@Slf4j
public class ApiRiceVipController {

    @Resource
    private ApiRiceService apiRiceService;





    //获取会员权益信息列表
    @ApiOperation(value="获取会员权益信息列表", notes="获取会员权益信息列表")
    @GetMapping(value = "/getRiceVipList")
    public Result<?> getRiceVipList() {
        return apiRiceService.getRiceVipList();
    }


    //申请成为会员
    @ApiOperation(value="申请成为会员", notes="申请成为会员")
    @PostMapping(value = "/applyRiceVip")
    public Result<?> applyRiceVip(String token) {
        return apiRiceService.applyRiceVip(token);
    }





}
