package org.jeecg.modules.commonMoneyLog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 流水日志表
 * @Author: jeecg-boot
 * @Date:   2024-12-27
 * @Version: V1.0
 */
@Data
@TableName("common_money_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_money_log对象", description="流水日志表")
public class CommonMoneyLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**流水标题*/
	@Excel(name = "流水标题", width = 15)
    @ApiModelProperty(value = "流水标题")
    private java.lang.String title;
	/**变动金额*/
	@Excel(name = "变动金额", width = 15)
    @ApiModelProperty(value = "变动金额")
    private java.math.BigDecimal money;
	/**原钱包金额*/
	@Excel(name = "原钱包金额", width = 15)
    @ApiModelProperty(value = "原钱包金额")
    private java.math.BigDecimal oldMoney;
	/**类型*/
	@Excel(name = "类型", width = 15, dicCode = "pay_type")
	@Dict(dicCode = "pay_type")
    @ApiModelProperty(value = "类型")
    private java.lang.Integer type;
	/**状态*/
	@Excel(name = "状态", width = 15, dicCode = "pay_state")
	@Dict(dicCode = "pay_state")
    @ApiModelProperty(value = "状态")
    private java.lang.Integer state;
	/**用户标识*/
	@Excel(name = "用户标识", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "用户标识")
    private java.lang.String userId;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**开户行*/
	@Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private java.lang.String bankName;
	/**开户号*/
	@Excel(name = "开户号", width = 15)
    @ApiModelProperty(value = "开户号")
    private java.lang.String bankNo;
	/**是否提现*/
	@Excel(name = "是否提现", width = 15)
    @ApiModelProperty(value = "是否提现")
    private java.lang.String isGet;
}
