package org.jeecg.modules.riceVip.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 会员权益表
 * @Author: jeecg-boot
 * @Date:   2024-11-24
 * @Version: V1.0
 */
@Data
@TableName("rice_vip")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="rice_vip对象", description="会员权益表")
public class RiceVip implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**权益标题*/
	@Excel(name = "权益标题", width = 15)
    @ApiModelProperty(value = "权益标题")
    private java.lang.String title;
	/**权益图片*/
	@Excel(name = "权益图片", width = 15)
    @ApiModelProperty(value = "权益图片")
    private java.lang.String image;
	/**权益内容*/
	@Excel(name = "权益内容", width = 15)
    @ApiModelProperty(value = "权益内容")
    private java.lang.String details;
}
