import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '创建日期',
    align:"center",
    sorter: true,
    dataIndex: 'createTime'
   },
   {
    title: '流水标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '变动金额',
    align:"center",
    dataIndex: 'money'
   },
   {
    title: '原钱包金额',
    align:"center",
    dataIndex: 'oldMoney'
   },
   {
    title: '类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'state_dictText'
   },
   {
    title: '用户标识',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "流水标题",
      field: "title",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "类型",
      field: "type",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"pay_type"
      },
      colProps: {span: 6},
 	},
	{
      label: "状态",
      field: "state",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"pay_state"
      },
      colProps: {span: 6},
 	},
	{
      label: "用户标识",
      field: "userId",
      component: 'JSearchSelect',
      componentProps:{
         dict:"han_hai_member,nick_name,id"
      },
      colProps: {span: 6},
 	},
	{
      label: "是否提现",
      field: "isGet",
      component: 'Input',
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '流水标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '变动金额',
    field: 'money',
    component: 'InputNumber',
  },
  {
    label: '原钱包金额',
    field: 'oldMoney',
    component: 'InputNumber',
  },
  {
    label: '类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"pay_type"
     },
  },
  {
    label: '状态',
    field: 'state',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"pay_state"
     },
  },
  {
    label: '用户标识',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
];
